Bug 768903 - lighttpd-1.4.30 is available
Summary: lighttpd-1.4.30 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lighttpd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Saou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-19 11:25 UTC by Upstream Release Monitoring
Modified: 2012-06-26 00:44 UTC (History)
2 users (show)

Fixed In Version: lighttpd-1.4.30-1.fc17
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-25 13:32:29 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2011-12-19 11:25:20 UTC
Latest upstream release: 1.4.30
Current version in Fedora Rawhide: 1.4.29
URL: http://download.lighttpd.net/lighttpd/releases-1.4.x/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Fedora Update System 2012-03-26 15:33:14 UTC
lighttpd-1.4.30-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lighttpd-1.4.30-1.el5

Comment 2 Fedora Update System 2012-03-26 15:33:22 UTC
lighttpd-1.4.30-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lighttpd-1.4.30-1.fc16

Comment 3 Fedora Update System 2012-03-26 15:33:33 UTC
lighttpd-1.4.30-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lighttpd-1.4.30-1.fc17

Comment 4 Fedora Update System 2012-03-26 15:33:43 UTC
lighttpd-1.4.30-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lighttpd-1.4.30-1.el6

Comment 5 Fedora Update System 2012-03-28 04:54:59 UTC
Package lighttpd-1.4.30-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing lighttpd-1.4.30-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0896/lighttpd-1.4.30-1.el5
then log in and leave karma (feedback).

Comment 6 David Anderson 2012-04-06 12:56:14 UTC
This segfaults about every 45 seconds for me. :-(
(A configuration with about 200 sites - running happily on existing EPEL version for many months).

Comment 7 David Anderson 2012-04-09 06:49:10 UTC
Also, please consider adding this patch:
http://redmine.lighttpd.net/projects/lighttpd/repository/revisions/2828/diff/branches/lighttpd-1.4.x/src/buffer.c

That patch prevents certain configurations from crashing on startup. It affects both 1.4.28 current and 1.4.30 testing in EPEL.

Comment 8 Fedora Update System 2012-04-12 02:25:28 UTC
lighttpd-1.4.30-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Matthias Saou 2012-04-16 16:13:18 UTC
Reopening to address that crash issue.

David : Does the change you link to fix the segfault you mentioned earlier? I'm asking, since "every 45 seconds" doesn't match "on startup" which tends to imply that there are two different issues here.

Comment 10 David Anderson 2012-04-16 18:07:49 UTC
Sorry for the confusion - no, those were two separate issues. The patch fixes a deterministic crash that prevents startup and which exists in both 1.4.28 and 1.4.30. The regular segfaulting is something else, and only exists in 1.4.30.

Comment 11 Fedora Update System 2012-06-07 08:25:53 UTC
lighttpd-1.4.31-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lighttpd-1.4.31-1.fc16

Comment 12 Fedora Update System 2012-06-07 08:26:30 UTC
lighttpd-1.4.31-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lighttpd-1.4.31-1.el5

Comment 13 Fedora Update System 2012-06-07 08:27:05 UTC
lighttpd-1.4.31-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lighttpd-1.4.31-1.fc17

Comment 14 Fedora Update System 2012-06-07 08:27:40 UTC
lighttpd-1.4.31-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lighttpd-1.4.31-1.el6

Comment 15 Fedora Update System 2012-06-07 18:02:55 UTC
Package lighttpd-1.4.31-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing lighttpd-1.4.31-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6068/lighttpd-1.4.31-1.el6
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2012-06-25 13:32:29 UTC
lighttpd-1.4.31-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2012-06-25 13:33:16 UTC
lighttpd-1.4.31-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2012-06-26 00:31:15 UTC
lighttpd-1.4.31-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2012-06-26 00:44:14 UTC
lighttpd-1.4.31-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.